Subject: Re: [Ecrit] WGLC - draft-ietf-ecrit-held-routing

From: Alissa Cooper <[email-masked]>
Date: Wed, 1 Jul 2015 15:59:11 -0700

The WGLC already came and went.

I’d like to know if folks (other than the authors) have reviewed the draft and support its publication.

Thanks,
Alissa

On Jun 21, 2015, at 11:32 PM, [email-masked] wrote:

> I support to proceed this draft to WGLC.
> 
> Best Regards
> 
> Roland
> 
>> On 27 May 2015, at 10:05 pm, Marc Linsner (mlinsner) <[email-masked]> wrote:
>> 
>> All,
>> 
>> This marks the start of working group last call on this draft.  Please review and send comments to the list by COB, Wednesday June 10th, 2015.
>> 
>> https://tools.ietf.org/html/draft-ietf-ecrit-held-routing-02
>> 
>> Thanks,
>> 
>> Marc & Roger
>> 
>> 
>> _______________________________________________
>> Ecrit mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/ecrit
> 
> _______________________________________________
> Ecrit mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ecrit
> 
> _______________________________________________
> Ecrit mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ecrit

---

From: Alissa Cooper <[email-masked]>
Date: Wed, 1 Jul 2015 16:18:51 -0700

Apologies, I sent this before seeing Keith’s review. Thanks, Keith.

Alissa

---

From: <[email-masked]>
Date: Thu, 2 Jul 2015 08:37:43 +0200

Hi Alica,
so I have also reviewed the draft. 
I went through the draft and found no technical issues and I found 3 (minor) Editorial issues seen from my point of view. Thus I support the publication of the document.

1.
Editorial: Section 2. Is incompasses the correct word? I found only encompasses in my dictionary.  
2.
Editorial: In Figure 2 the arrow for (5) Service is not correct shown within the figure.
3.
Section 4 after 1st Paragraph.
It would be nice if the names of the elements can be mentioned explicitly.

Proposal:
The elements are requestRoutingInformation and routingInformation which are defined in section 5 of this document.

Thank you and Best Regards

Roland

-----Ursprüngliche Nachricht-----
Von: Alissa Cooper [mailto:[email-masked]] 
Gesendet: Donnerstag, 2. Juli 2015 00:59
An: Jesske, Roland
Cc: [email-masked]; [email-masked]; [email-masked]
Betreff: Re: [Ecrit] WGLC - draft-ietf-ecrit-held-routing

I'd like to know if folks (other than the authors) have reviewed the draft and support its publication.

Thanks,
Alissa

---

From: Gunnar Hellström <[email-masked]>
Date: Thu, 02 Jul 2015 11:31:51 +0200

I have seen one minor typo and have one question:

1. Typo:
In 3, second line under figure 1, starts:
"initiates and emergency"
should be:
"initiates an emergency"

2. Question:

The draft only talks about routing by location information.
Is there no need to consider other data involved in the routing 
decisions, as e.g. stated in this paragraph in RFC 6443, section 6:

"  Routing to the most appropriate PSAP is always based on the location
    of the caller, despite the fact that some emergency calls are placed
    on behalf of someone else, and the location of the incident is
    sometimes not the location of the caller.  In some cases, there are
    other factors that enter into the choice of the PSAP that gets the
    call, such as time of day, caller media requests, language
    preference, and call load.  However, location of the caller is the
    primary input to the routing decision."

Regards

If the answer on this question does not cause any major rethinking, I support publishing.

Gunnar

-- 
-----------------------------------------
Gunnar Hellström
Omnitor
[email-masked]
+46 708 204 288

-- 
-----------------------------------------
Gunnar Hellström
Omnitor
[email-masked]
+46 708 204 288

---

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Thu, 2 Jul 2015 13:59:47 +0000

In regard to your question in 2).

Any routeing decisions are made in the ESRP as indicated in figure 1 and 2.

As far as I can tell the draft is silent on what the ESRP does as far as routeing is concerned, except to make the statement:

   The terms LIS, ESRP, VSP and PSAP are used as defined in [RFC6443].

Which encompasses exactly the reference you have made.

The draft is essentially about getting a location to the entity making the routeing decision, not about how the routeing decision is made.

Regards

Keith 

> -----Original Message-----
> From: Ecrit [mailto:[email-masked]] On Behalf Of 
> Gunnar Hellström
> Sent: 02 July 2015 10:32
> To: [email-masked]
> Subject: Re: [Ecrit] WGLC - draft-ietf-ecrit-held-routing
> 
> Is there no need to consider other data involved in the 
> routing decisions, as e.g. stated in this paragraph in RFC 
> 6443, section 6:
> 
> > I'd like to know if folks (other than the authors) have 
> reviewed the draft and support its publication.
> >
> > Thanks,
> > Alissa
> >
> >>> This marks the start of working group last call on this 
> draft.  Please review and send comments to the list by COB, 
> Wednesday June 10th, 2015.
> >>>

---

From: Laura Liess <[email-masked]>
Date: Fri, 3 Jul 2015 09:13:58 +0200

Gunnar,

Keith is right. The draft is intended to enable the LIS to provide the
SIP-URI of an Emergency Calling Routing Proxy (ESRP) trusted by the LIS,
which is able to dereference the LbyR sent in the emergency call and then
route the emergency call to the correct. PSAP. We can not expect the LIS of
every small access network provider to have deep knowledge about the
PSAP-infrastructure, we expect the ESRP to have it or to be able to get
it.  The  ESRP is also able to analyse the emergency call, find out, e.g.,
if the caller would prefer text to audio and route it to the apropriate
PSAP.  I think in some countries (UK ?)  they have one central PSAP which
gets all emergency calls and then route them to the appropriate local PSAP.
(This why we have ESRP/PSAP and "routing to the appropriate PSAP in the
draft.)
There is no need to consider other factors such as time of day, caller
media requests, language  preference, and call load to be considered at
then interface between the Softswithch and the LIS, these factors have to
be considered by the ESRP when it chooses the final destination (PSAP) for
the emergency call.

Thank you
Laura

2015-07-02 15:59 GMT+02:00 DRAGE, Keith (Keith) <
[email-masked]>:

> As far as I can tell the draft is silent on what the ESRP does as far as
> routeing is concerned, except to make the statement:
>
> The draft is essentially about getting a location to the entity making the
> routeing decision, not about how the routeing decision is made.
>
> Regards
>
> Keith
>

---

From: Gunnar Hellström <[email-masked]>
Date: Fri, 10 Jul 2015 19:00:53 +0200

Laura Liess skrev den 2015-07-03 09:13:
> SIP-URI of an Emergency Calling Routing Proxy (ESRP) trusted by the 
> LIS, which is able to dereference the LbyR sent in the emergency call 
> and then route the emergency call to the correct. PSAP. We can not 
> expect the LIS of every small access network provider to have deep 
> knowledge about the PSAP-infrastructure, we expect the ESRP to have it 
> or to be able to get it.  The  ESRP is also able to analyse the 
> emergency call, find out, e.g.,  if the caller would prefer text to 
> audio and route it to the apropriate PSAP.  I think in some countries 
> (UK ?)  they have one central PSAP which gets all emergency calls and 
> then route them to the appropriate local PSAP. (This why we have 
> ESRP/PSAP and "routing to the appropriate PSAP in the draft.)
> media requests, language  preference, and call load to be considered 
> at then interface between the Softswithch and the LIS, these factors 
> have to be considered by the ESRP when it chooses the final 
> destination (PSAP) for the emergency call.
Right. I find held-routing to be appropriate for its task.
Good.

/Gunnar
>
> Thank you
> Laura
>
> 2015-07-02 15:59 GMT+02:00 DRAGE, Keith (Keith) 
> <[email-masked] <mailto:[email-masked]>>:
>
>     As far as I can tell the draft is silent on what the ESRP does as
>     far as routeing is concerned, except to make the statement:
>
>     The draft is essentially about getting a location to the entity
>     making the routeing decision, not about how the routeing decision
>     is made.
>
>     Regards
>
>     Keith
>
>     > From: Ecrit [mailto:[email-masked]
>     <mailto:[email-masked]>] On Behalf Of
>     > Gunnar Hellström
>     > Sent: 02 July 2015 10:32
>     > To: [email-masked] <mailto:[email-masked]>
>     > [email-masked] <mailto:[email-masked]>
>     > +46 708 204 288 <tel:%2B46%20708%20204%20288>
>     >
>     >
>     >
>     > > On Jun 21, 2015, at 11:32 PM, [email-masked]
>     <mailto:[email-masked]> wrote:
>     > >
>     > >>> On 27 May 2015, at 10:05 pm, Marc Linsner (mlinsner)
>     > <[email-masked] <mailto:[email-masked]>> wrote:
>     > >>>
>     > >>> All,
>     > >>>
>     > >>> [email-masked] <mailto:[email-masked]>
>     > >> [email-masked] <mailto:[email-masked]>
>     > >> [email-masked] <mailto:[email-masked]>
>     > > [email-masked] <mailto:[email-masked]>
>     > [email-masked] <mailto:[email-masked]>
>     > +46 708 204 288 <tel:%2B46%20708%20204%20288>
>     >
>     > [email-masked] <mailto:[email-masked]>
>     [email-masked] <mailto:[email-masked]>